.demo-block-scope {
    padding: 60px;
    padding-top: 100px;
    padding-bottom: 100px;
    scroll-margin-top: 5px;
    background: radial-gradient(circle at center, rgb(0 78 90 / 77%) 0%, /* center */ rgb(0 0 0 / 92%) 100% /* edges */), url(tile.gif);
}

.masonry {
    display: flex;
    gap: 0.8rem;
    align-items: flex-start;
    flex-direction: column;
    max-width: 2000px;
    margin-left: auto;
    margin-right: auto;
    width: fit-content;
    margin-top: 20px;
}

.column {
    width: fit-content;
    max-width: 800px;
}

@media (min-width: 768px) {
    .masonry {
        flex-direction: row;
    }
}

video {
    width: 100%;
    margin-bottom: 0.5rem;
    border-radius: 0.5rem;
}

/* ---------- FILTER HEADER ---------- */
.demo-block-scope > .filter-header {
    text-align: center;
    padding: 1rem;
}

.demo-block-scope .tag-cloud-div {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.8rem;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
}

.demo-block-scope .js-tag-span {
    padding: 0.9rem 2rem;
    border-radius: 999px;
    cursor: pointer;
    transition: background 0.3s;
    color: #939393;
    background: #0d2932;
}

.demo-block-scope .js-tag-span.js-active {
    background: #958e6a;
    color: rgb(0, 0, 0);
}

.js-tag-select {
    display: none;
    padding: 0.5rem;
    border-radius: 0.5rem;
    font-size: 1rem;
    width: 100%;
    border: 0;
    outline: 0;
}

/* Mobile: show dropdown instead of tag cloud */
@media (max-width: 700px) {

    .demo-block-scope .tag-cloud-div {
        display: none;
    }

    .js-tag-select {
        display: inline-block;
    }

}
